set samples	10000

set terminal	postscript eps monochrome "Helvetica" 18

set xlabel	"dx"
set ylabel	"p = 0.025"

set log y
set nokey

#############################################################################
set title	"GA probabilities (3a)"
set output	"fig-3a.ps"
plot	"<gen -s 000 |gap -p 0.025 |sort -n" title "(000-111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (3b)"
set output	"fig-3b.ps"
plot	"<gen -s 111 |gap -p 0.025 |sort -n" title "(111-000,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (3c)"
set output	"fig-3c.ps"
plot	"<gen -s 011 |gap -p 0.025 |sort -n" title "(011-111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (3d)"
set output	"fig-3d.ps"
plot	"<gen -s 100 |gap -p 0.025 |sort -n" title "(100-111,0.025)" with linespoints
#pause -1 "[RETURN]"

#############################################################################
set title	"GA probabilities (3a/gray)"
set output	"fig-g-3a.ps"
plot	"<gen -s 000 |gray |gap -p 0.025 -d |sort -n" title "(000-111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (3b/gray)"
set output	"fig-g-3b.ps"
plot	"<gen -s 111 |gray |gap -p 0.025 -d |sort -n" title "(111-000,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (3c/gray)"
set output	"fig-g-3c.ps"
plot	"<gen -s 011 |gray |gap -p 0.025 -d |sort -n" title "(011-111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (3d/gray)"
set output	"fig-g-3d.ps"
plot	"<gen -s 100 |gray |gap -p 0.025 -d |sort -n" title "(100-111,0.025)" with linespoints
#pause -1 "[RETURN]"

#############################################################################
set title	"GA probabilities (4a)"
set output	"fig-4a.ps"
plot	"<gen -s 0000 |gap -p 0.025 |sort -n" title "(0000-1111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (4b)"
set output	"fig-4b.ps"
plot	"<gen -s 1111 |gap -p 0.025 |sort -n" title "(1111-0000,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (4a/gray)"
set output	"fig-g-4a.ps"
plot	"<gen -s 0000 |gray |gap -p 0.025 -d |sort -n" title "(0000-1111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (4b/gray)"
set output	"fig-g-4b.ps"
plot	"<gen -s 1111 |gray |gap -p 0.025 -d |sort -n" title "(1111-0000,0.025)" with linespoints
#pause -1 "[RETURN]"

#############################################################################
set title	"GA probabilities (5a)"
set output	"fig-5a.ps"
plot	"<gen -s 00000 |gap -p 0.025 |sort -n" title "(00000-11111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (5b)"
set output	"fig-5b.ps"
plot	"<gen -s 11111 |gap -p 0.025 |sort -n" title "(11111-00000,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (5a/gray)"
set output	"fig-g-5a.ps"
plot	"<gen -s 00000 |gray |gap -p 0.025 -d |sort -n" title "(00000-11111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (5b/gray)"
set output	"fig-g-5b.ps"
plot	"<gen -s 11111 |gray |gap -p 0.025 -d |sort -n" title "(11111-00000,0.025)" with linespoints
#pause -1 "[RETURN]"

##########################################################################################################################################################
set title	"GA probabilities (6a)"
set output	"fig-6a.ps"
plot	"<gen -s 000000 |gap -p 0.025 |sort -n" title "(000000-111111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (6b)"
set output	"fig-6b.ps"
plot	"<gen -s 111111 |gap -p 0.025 |sort -n" title "(111111-000000,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (6a/gray)"
set output	"fig-g-6a.ps"
plot	"<gen -s 000000 |gray |gap -p 0.025 -d |sort -n" title "(000000-111111,0.025)" with linespoints
#pause -1 "[RETURN]"

set title	"GA probabilities (6b/gray)"
set output	"fig-g-6b.ps"
plot	"<gen -s 111111 |gray |gap -p 0.025 -d |sort -n" title "(111111-000000,0.025)" with linespoints
#pause -1 "[RETURN]"

#############################################################################
set title	"GA probabilities (7a)"
set output	"fig-7a.ps"
plot	"<gen -s 0000000 |gap -p 0.025 |sort -n" title "(0*-1*(7),0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (7b)"
set output	"fig-7b.ps"
plot	"<gen -s 1111111 |gap -p 0.025 |sort -n" title "(1*-0*(7),0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (7a/gray)"
set output	"fig-g-7a.ps"
plot	"<gen -s 0000000 |gray |gap -p 0.025 -d |sort -n" title "(0*-1*(7g),0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (7b/gray)"
set output	"fig-g-7b.ps"
plot	"<gen -s 1111111 |gray |gap -p 0.025 -d |sort -n" title "(1*-0*(7g),0.025)" with lines
#pause -1 "[RETURN]"

#############################################################################
##set xrange [-1024:1024]

set title	"GA probabilities (10a)"
set output	"fig-10a.ps"
plot	"<gen -s 0000000000 |gap -p 0.025 |sort -n" title "(0*-1*,0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (10b)"
set output	"fig-10b.ps"
plot	"<gen -d -s 1111111111 |gap -p 0.025 |sort -n" title "(1*-0*,0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (10c)"
set output	"fig-10c.ps"
plot	"<gen -s 0000011111 |gap -p 0.025 |sort -n" title "(0*1*-1*,0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (10d)"
set output	"fig-10d.ps"
plot	"<gen -s 1010101010 |gap -p 0.025 |sort -n" title "(10*-1*,0.025)" with lines
#pause -1 "[RETURN]"

#############################################################################
set title	"GA probabilities (10a/gray)"
set output	"fig-g-10a.ps"
plot	"<gen -s 0000000000 |gray |gap -p 0.025 -d |sort -n" title "(0*-1*,0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (10b/gray)"
set output	"fig-g-10b.ps"
plot	"<gen -d -s 1111111111 |gray |gap -p 0.025 -d |sort -n" title "(1*-0*,0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (10c/gray)"
set output	"fig-g-10c.ps"
plot	"<gen -s 0000011111 |gray |gap -p 0.025 -d |sort -n" title "(0*1*-1*,0.025)" with lines
#pause -1 "[RETURN]"

set title	"GA probabilities (10d/gray)"
set output	"fig-g-10d.ps"
plot	"<gen -s 1010101010 |gray |gap -p 0.025 -d |sort -n" title "(10*-1*,0.025)" with lines
#pause -1 "[RETURN]"
